package com.sdtool.common.entity.geo;

import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("unused")
public class AMapDistrict {

    private String citycode;

    private String adcode;

    private String name;

    private String center;

    private String level;

    private List<AMapDistrict> districts = new ArrayList<>();

    public String getCitycode() {
        return citycode;
    }

    public void setCitycode(String citycode) {
        this.citycode = citycode;
    }

    public String getAdcode() {
        return adcode;
    }

    public void setAdcode(String adcode) {
        this.adcode = adcode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public List<AMapDistrict> getDistricts() {
        return districts;
    }

    public void setDistricts(List<AMapDistrict> districts) {
        this.districts = districts;
    }
}
